regina::NTxIDiagonalCore Class Reference
Standard Triangulations and Subcomplexes

One of a family of thin `T x I` triangulations that typically appear at the centres of layered torus bundles. More...

`#include <subcomplex/ntxicore.h>`

Inheritance diagram for regina::NTxIDiagonalCore:

## Public Member Functions

| NTxIDiagonalCore (unsigned long newSize, unsigned long newK)
| Creates a new `T x I` triangulation with the given parameters. More...
unsigned long | size () const
| Returns the total number of tetrahedra in this `T x I` triangulation. More...
unsigned long | k () const
| Returns the additional parameter k as described in the class notes. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the name of this specific triangulation of `T x I` to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the name of this specific triangulation of `T x I` in TeX format to the given output stream. More...
Public Member Functions inherited from regina::NTxICore
const NTriangulation & | core () const
| Returns a full copy of the `T x I` triangulation that this object describes. More...
unsigned | bdryTet (unsigned whichBdry, unsigned whichTri) const
| Determines which tetrahedron provides the requested boundary triangle. More...
NPerm4 | bdryRoles (unsigned whichBdry, unsigned whichTri) const
| Describes which tetrahedron vertices play which roles in the upper and lower boundary triangles. More...
const NMatrix2 & | bdryReln (unsigned whichBdry) const
| Returns a 2-by-2 matrix describing the alpha and beta curves on a torus boundary in terms of specific tetrahedron edges. More...
const NMatrix2 & | parallelReln () const
| Returns a 2-by-2 matrix describing the parallel relationship between the upper and lower boundary curves. More...
std::string | getName () const
| Returns the name of this specific triangulation of `T x I` as a human-readable string. More...
std::string | getTeXName () const
| Returns the name of this specific triangulation of `T x I` in TeX format. More...
void | writeTextShort (std::ostream &out) const
| Writes this object in short text format to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes this object in long text format to the given output stream. More...
Public Member Functions inherited from regina::ShareableObject
| ShareableObject ()
| Default constructor that does nothing. More...
virtual | ~ShareableObject ()
| Default destructor that does nothing. More...
std::string | str () const
| Returns the output from writeTextShort() as a string. More...
std::string | toString () const
| A deprecated alias for str(), which returns the output from writeTextShort() as a string. More...
std::string | detail () const
| Returns the output from writeTextLong() as a string. More...
std::string | toStringLong () const
| A deprecated alias for detail(), which returns the output from writeTextLong() as a string. More...

## Additional Inherited Members

Protected Member Functions inherited from regina::NTxICore
| NTxICore ()
| Default constructor that performs no initialisation. More...
Protected Member Functions inherited from regina::boost::noncopyable
| noncopyable ()
| A constructor which does nothing. More...
| ~noncopyable ()
| A destructor which does nothing. More...
Protected Attributes inherited from regina::NTxICore
NTriangulation | core_
| A full copy of the `T x I` triangulation that is described. More...
unsigned | bdryTet_ [2][2]
| The tetrahedra that provide the upper and lower boundary triangles. More...
NPerm4 | bdryRoles_ [2][2]
| Describes which tetrahedron vertices play which roles in the upper and lower boundary triangles. More...
NMatrix2 | bdryReln_ [2]
| Expresses the alpha and beta curves for each torus boundary in terms of specific tetrahedron edges and vertices. More...
NMatrix2 | parallelReln_
| Expresses the lower alpha and beta curves in terms of the upper alpha and beta curves. More...

## Detailed Description

One of a family of thin `T x I` triangulations that typically appear at the centres of layered torus bundles.

Different triangulations in this family use different numbers of tetrahedra, with the larger triangulations producing more complicated relationships between the upper and lower boundary curves.

Members of this family are parameterised by their size (the number of tetrahedra) and an additional integer k, where 1 <= k <= size - 5. Note that this means we must have size >= 6. The member of this family of size n with additional parameter k is labelled `T_n:k`.

It is worth noting that `T_n:k` is isomorphic to `T_n:(n-4-k)`, so in reality there are only [(n-4)/2] different triangulations for a given size (rounded down).

A triangulation of this family is most easily defined in terms of its central torus. Central surfaces are described in detail in "Structures of small closed non-orientable 3-manifold triangulations", Benjamin A. Burton, J. Knot Theory Ramifications 16 (2007), 545–574; in particular, see the section on thin I-bundles.

The central torus begins with two triangles u0 and u1 (which eventually provide the upper torus boundary), with a chain of quadrilaterals q1, ..., q(n-5) descending diagonally beneath them as illustrated in the diagram below.

We then distort quadrilateral qk and attach two more triangles w0 and w1 to its side (these will eventually provide the lower torus boundary). This is illustrated in the following diagram.

The entire central torus wraps from left to right (so the lower left edges of most quadrilaterals qi are identified with the upper right edges of q(i-1), and the left edge of qk is identified with the right edge of w1). As an exception, the two uppermost edges are identified with the two lowermost edges in a parallel fashion (so the upper left edge of u1 is identified with the lower right edge of q1, and the adjacent edges at right angles to these are also identified).

The four triangles in the central torus correspond to the four tetrahedra in the triangulation that provide the boundary triangles. The upper boundary is coned out from triangles u0 and u1, and the lower boundary is coned out from triangles w0 and w1. In each boundary, u0 or w0 gives the first boundary triangle and u1 or w1 gives the second. The directions of the corresponding alpha and beta curves are illustrated below.

As a final illustration, the example below shows the central surface in the case (n, k) = (9, 2).

## Constructor & Destructor Documentation

regina::NTxIDiagonalCore::NTxIDiagonalCore | ( | unsigned long | newSize,
|  | unsigned long | newK
| ) |  |

Creates a new `T x I` triangulation with the given parameters.

Parameters

  newSize | the number of tetrahedra in this triangulation. This must be at least 6.
  newK | the additional parameter k as described in the class notes. This must be between 1 and (newSize - 5) inclusive.

## Member Function Documentation

unsigned long regina::NTxIDiagonalCore::k | ( |  | ) | const

inline

Returns the additional parameter k as described in the class notes.

Returns
  the additional parameter k.

unsigned long regina::NTxIDiagonalCore::size | ( |  | ) | const

inline

Returns the total number of tetrahedra in this `T x I` triangulation.

Returns
  the total number of tetrahedra.

std::ostream & regina::NTxIDiagonalCore::writeName | ( | std::ostream & | out | ) | const

inline virtual

Writes the name of this specific triangulation of `T x I` to the given output stream.

The name will be written as a human-readable string.

Python:
  The argument out is missing, and is always assumed to be standard output.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NTxICore.

std::ostream & regina::NTxIDiagonalCore::writeTeXName | ( | std::ostream & | out | ) | const

inline virtual

Writes the name of this specific triangulation of `T x I` in TeX format to the given output stream.

No leading or trailing dollar signs will be written.

Python:
  The argument out is missing, and is always assumed to be standard output.

Parameters

  out | the output stream to which to write.

Returns
  a reference to the given output stream.

Implements regina::NTxICore.

The documentation for this class was generated from the following file:

- subcomplex/ntxicore.h

Copyright © 1999-2013, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).